org.apache.ignite.cache

## Class CacheTypeFieldMetadata

- java.lang.Object
- - org.apache.ignite.cache.CacheTypeFieldMetadata

All Implemented Interfaces:
  Serializable

    public class CacheTypeFieldMetadata
    extends Object
    implements Serializable

Type field metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheTypeFieldMetadata()` Default constructor.
`CacheTypeFieldMetadata(String dbName, int dbType, String javaName, Class<?> javaType)` Full constructor.

### Method Summary

Methods
`boolean` `equals(Object o)`
`String` `getDatabaseName()`
`int` `getDatabaseType()`
`String` `getJavaName()`
`Class<?>` `getJavaType()`
`int` `hashCode()`
`void` `setDatabaseName(String dbName)`
`void` `setDatabaseType(int dbType)`
`void` `setJavaName(String javaName)`
`void` `setJavaType(Class<?> javaType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheTypeFieldMetadata

    public CacheTypeFieldMetadata()

Default constructor.

#### CacheTypeFieldMetadata

    public CacheTypeFieldMetadata(String dbName,
                          int dbType,
                          String javaName,
                          Class<?> javaType)

Full constructor.

Parameters:
  `dbName` - Column name in database.
  `dbType` - Column JDBC type in database.
  `javaName` - Field name in java object.
  `javaType` - Field java type.

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

Returns:
  Column name in database.

#### setDatabaseName

    public void setDatabaseName(String dbName)

Parameters:
  `dbName` - Column name in database.

#### getDatabaseType

    public int getDatabaseType()

Returns:
  Column JDBC type in database.

#### setDatabaseType

    public void setDatabaseType(int dbType)

Parameters:
  `dbType` - Column JDBC type in database.

#### getJavaName

    public String getJavaName()

Returns:
  Field name in java object.

#### setJavaName

    public void setJavaName(String javaName)

Parameters:
  `javaName` - Field name in java object.

#### getJavaType

    public Class<?> getJavaType()

Returns:
  Field java type.

#### setJavaType

    public void setJavaType(Class<?> javaType)

Parameters:
  `javaType` - Corresponding java type.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015